fix alignment, use only space, add comments

This commit is contained in:
Praveen Arimbrathodiyil 2016-02-07 15:20:19 +05:30
parent f470f67925
commit 2ef2ae7d8d

173
debian/postinst vendored
View file

@ -27,104 +27,107 @@ set -e
case "$1" in case "$1" in
configure) configure)
# Show debconf questions # Show debconf questions
. /usr/share/debconf/confmodule . /usr/share/debconf/confmodule
gitlab_debian_conf=/etc/gitlab/gitlab-debian.conf # Read debian specific configuration
. ${gitlab_debian_conf} gitlab_debian_conf=/etc/gitlab/gitlab-debian.conf
# export DB for su command . ${gitlab_debian_conf}
export DB=${DB}
. /usr/lib/gitlab/scripts/adduser.sh
gitlab_repo_path=${gitlab_data_dir}/repositories
mkdir -p ${gitlab_repo_path}
chmod -R ug+rwX,o-rwx ${gitlab_repo_path}/
chmod -R ug-s ${gitlab_repo_path}/
find ${gitlab_repo_path}/ -type d -print0 | xargs -0 chmod g+s
chown -R ${gitlab_user}: ${gitlab_home}
chown -R ${gitlab_user}: ${gitlab_data_dir}
mkdir -p ${gitlab_shell_log} # export DB for su command
chown -R ${gitlab_user}: ${gitlab_shell_root} export DB=${DB}
chown -R ${gitlab_user}: ${gitlab_shell_log}
su ${gitlab_user} -s /bin/sh -c "mkdir -p -m 750 ${gitlab_home}/public/uploads"
su ${gitlab_user} -s /bin/sh -c 'git config --global core.autocrlf "input"'
cd ${gitlab_home}
db_get gitlab/fqdn
if [ "${RET}" != "" ]; then
if ! grep GITLAB_HOST ${gitlab_debian_conf}
then
export GITLAB_HOST=${RET} # We need this to configure nginx below
echo GITLAB_HOST=${RET} >> ${gitlab_debian_conf}
echo GITLAB_EMAIL_FROM="no-reply@${RET}" >> ${gitlab_debian_conf}
echo GITLAB_EMAIL_DISPLAY_NAME="Gitlab" >> ${gitlab_debian_conf}
echo GITLAB_EMAIL_REPLY_TO="no-reply@${RET}" >> ${gitlab_debian_conf}
fi
db_get gitlab/ssl
if [ "${RET}" = "true" ]
then
mkdir -p /etc/gitlab/ssl
if [ -f "${nginx_ssl_conf_example_gz}" ]
then
# undo dh_installdocs auto compress
zcat ${nginx_ssl_conf_example_gz} >/tmp/gitlab-ssl
export nginx_conf_example="/tmp/gitlab-ssl"
fi
db_get gitlab/letsencrypt
if [ "${RET}" = "true" ]
then
ln -sf /etc/letsencrypt/live/${GITLAB_HOST}/fullchain.pem \
/etc/gitlab/ssl/gitlab.crt
ln -sf /etc/letsencrypt/live/${GITLAB_HOST}/privkey.pem \
/etc/gitlab/ssl/gitlab.key
fi
fi
if test -f ${nginx_conf_example} # Create gitlab user
then . /usr/lib/gitlab/scripts/adduser.sh
sed -e "s/YOUR_SERVER_FQDN/${GITLAB_HOST}/"\
${nginx_conf_example} >/etc/nginx/sites-available/${GITLAB_HOST}
ln -fs /etc/nginx/sites-available/${RET} /etc/nginx/sites-enabled/
rm -f /tmp/gitlab-ssl
else
echo "nginx.conf.example not found"
exit 1
fi
else gitlab_repo_path=${gitlab_data_dir}/repositories
echo "Failed to retrieve fully qualified domain name" mkdir -p ${gitlab_repo_path}
exit 1 chmod -R ug+rwX,o-rwx ${gitlab_repo_path}/
fi chmod -R ug-s ${gitlab_repo_path}/
db_stop find ${gitlab_repo_path}/ -type d -print0 | xargs -0 chmod g+s
chown -R ${gitlab_user}: ${gitlab_home}
echo "Create database if not present" chown -R ${gitlab_user}: ${gitlab_data_dir}
if ! su postgres -s /bin/sh -c "psql gitlab_production -c ''"
then mkdir -p ${gitlab_shell_log}
su postgres -c 'createdb gitlab_production' chown -R ${gitlab_user}: ${gitlab_shell_root}
chown -R ${gitlab_user}: ${gitlab_shell_log}
su ${gitlab_user} -s /bin/sh -c "mkdir -p -m 750 ${gitlab_home}/public/uploads"
su ${gitlab_user} -s /bin/sh -c 'git config --global core.autocrlf "input"'
cd ${gitlab_home}
# Obtain hostname from debconf db
db_get gitlab/fqdn
if [ "${RET}" != "" ]; then
if ! grep GITLAB_HOST ${gitlab_debian_conf}; then
export GITLAB_HOST=${RET} # We need this to configure nginx below
echo GITLAB_HOST=${RET} >> ${gitlab_debian_conf}
echo GITLAB_EMAIL_FROM="no-reply@${RET}" >> ${gitlab_debian_conf}
echo GITLAB_EMAIL_DISPLAY_NAME="Gitlab" >> ${gitlab_debian_conf}
echo GITLAB_EMAIL_REPLY_TO="no-reply@${RET}" >> ${gitlab_debian_conf}
fi
# Check if ssl option is selected
db_get gitlab/ssl
if [ "${RET}" = "true" ]; then
mkdir -p /etc/gitlab/ssl
if [ -f "${nginx_ssl_conf_example_gz}" ]; then
# undo dh_installdocs auto compress
zcat ${nginx_ssl_conf_example_gz} >/tmp/gitlab-ssl
export nginx_conf_example="/tmp/gitlab-ssl"
fi fi
# Adjust database privileges # Check if letsencrypt option is selected
. /usr/lib/gitlab/scripts/grantpriv.sh db_get gitlab/letsencrypt
if [ "${RET}" = "true" ]; then
ln -sf /etc/letsencrypt/live/${GITLAB_HOST}/fullchain.pem \
/etc/gitlab/ssl/gitlab.crt
ln -sf /etc/letsencrypt/live/${GITLAB_HOST}/privkey.pem \
/etc/gitlab/ssl/gitlab.key
fi
fi
# Remove Gemfile.lock if present if test -f ${nginx_conf_example}; then
rm -f ${gtilab_home}/Gemfile.lock sed -e "s/YOUR_SERVER_FQDN/${GITLAB_HOST}/"\
${nginx_conf_example} >/etc/nginx/sites-available/${GITLAB_HOST}
ln -fs /etc/nginx/sites-available/${RET} /etc/nginx/sites-enabled/
rm -f /tmp/gitlab-ssl
else
echo "nginx.conf.example not found"
exit 1
fi
else
echo "Failed to retrieve fully qualified domain name"
exit 1
fi
db_stop
echo "Verifying we have all required libraries..." echo "Create database if not present"
su ${gitlab_user} -s /bin/sh -c 'bundle install --local' if ! su postgres -s /bin/sh -c "psql gitlab_production -c ''"; then
su postgres -c 'createdb gitlab_production'
fi
# Adjust database privileges
. /usr/lib/gitlab/scripts/grantpriv.sh
# Remove Gemfile.lock if present
rm -f ${gtilab_home}/Gemfile.lock
echo "Verifying we have all required libraries..."
su ${gitlab_user} -s /bin/sh -c 'bundle install --local'
echo "Running final rake tasks..." echo "Running final rake tasks..."
# Move these to rails-common . /usr/lib/gitlab/scripts/rake-tasks.sh
. /usr/lib/gitlab/scripts/rake-tasks.sh
;;
abort-upgrade|abort-remove|abort-deconfigure)
;; ;;
*) abort-upgrade|abort-remove|abort-deconfigure)
echo "postinst called with unknown argument \`$1'" >&2 ;;
exit 1
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;; ;;
esac esac